Catmandu::Fix::Base(3pm)

NAME
Catmandu::Fix::Base - Base role for all code emitting Catmandu fixes

SYNOPSIS
    package Catmandu::Fix::my_fix;

    use Catmandu::Sane;
    use Moo;

    with 'Catmandu::Fix::Base';

    sub emit {
        my ($self, $fixer) = @_;
        ....FIXER GENERATING CODE....
    }

SEE ALSO
For more information how to create fixes read the following two blog posts:

http://librecat.org/catmandu/2014/03/14/create-a-fixer.html http://librecat.org/catmandu/2014/03/26/creating-a-fixer-2.html